Bug 501281 - Problem with partitioning screen on F11 Preview netinst CD
Problem with partitioning screen on F11 Preview netinst CD
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 07:33 EDT by Gireesh Sreekantan
Modified: 2010-01-20 13:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 13:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Storage log from install (111.13 KB, text/plain)
2009-05-19 03:00 EDT, Gireesh Sreekantan
no flags Details

  None (edit)
Description Gireesh Sreekantan 2009-05-18 07:33:15 EDT
Description of problem:
When booting from a F11 Preview netinst CD, the partitioning screen shows all my disk partitions but doesn't identify the partition types or disk labels. The volume group created on F10 and LV members are also not present. However, if I hit back from the partitioning screen, "Finding storage devices" message appears and then when I go forward, I can see all my partition data and existing LVs.

Version-Release number of selected component (if applicable):
F11 Preview Netinst CD - i386

How reproducible:
100% (out of 5 trials of reboot and initiate install)


Steps to Reproduce:
1. Boot from F11 preview netinst CD on compaq 3425. I see a "finding storage devices" message before being prompted for hostname and other usual stuff. 
2. when prompted for type of partitioning, choose "Create custom layout". Disk layout is correct but partition data (type of existing FS, LVs, VGs and Label) are not available. Encrypted partitions aren't recognized. 
3. Hit back, wait for "finding storage devices" to complete and go forward again. This time, disk Labels, VGs, LVs and FS types are shown. I am also now prompted to enter the passphrase for my two encrypted partitions.
  
Actual results:
At the partitioner stage, now I need to know to hit back and come forward again. Without the disk labels and without seeing the LVs it is impossible to know which partition I am editing. 

Expected results:
The partitioner picks up all the existing disk setup info the first time without needing to manually hit back and come forward.

Additional info:
My rough disk layout.

VG - homevg
LV - three LVs

sda1 - /home
sda2 - unused
sda3 - encrypted
sda4 - extended
sda5 - encrypted
sda6 - PV
sda7 - PV
sda8 - /
sda9 - PV
sda10 - PV
sda13 - swap
sda11,sda12,sda14 - are mounted under /mnt for various mounts.

The disk is a SATA, the laptop is a compaq V3425. I have 14 partitions on the disk overall. I do not have hardware/software raid.

I don't exactly know how to take a screenshot from within the installer. If required, I have an unused partition and I can try the install again with any specific steps if suggested.
Comment 1 Chris Lumens 2009-05-18 16:56:52 EDT
Please attach /tmp/storage.log to this bug report.  Thanks.
Comment 2 Gireesh Sreekantan 2009-05-19 03:00:09 EDT
Created attachment 344579 [details]
Storage log from install

Please find the storage log attached here. I went as far as the partitioning screen with no information, hit back and then forward again. I didn't actually commit the install because the last time I didn't find a issue with the install itself.
Comment 3 Chris Lumens 2009-06-09 11:57:07 EDT
Is this reproducable?  It seems like a really weird bug and I haven't heard of anyone else hitting this.  It could be that udev is having problems providing the information we require to know what formats are on the partitions.  In fact looking at your storage.log, I see no udev information at all.

If you are able to reproduce this with F11, can you please also attach /tmp/program.log and /tmp/anaconda.log to this bug report?  Thanks.
Comment 4 Bug Zapper 2009-06-09 12:02:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.